Create Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples
List of examples
  • Create a plugin connection
  • Athena connection creation.
  • BigQuery connection creation.
  • Clickhouse connection creation.
  • Databricks connection creation.
  • ElasticSearch connection creation.
  • MariaDB connection creation.
  • MongoDB connection creation.
  • MySQL connection creation.
  • Oracle connection creation.
  • PostgreSQL connection creation.
  • Presto connection creation.
  • Redshift connection creation.
  • SAP Hana connection creation.
  • Snowflake connection creation with key-pair authentication.
  • Snowflake connection creation with username-password authentication.
  • SQL Server connection creation.
  • Azure Synapse connection creation.
  • Trino connection creation.
Description

This will create a connection to a Oracle database. You'll need to provide a host, key and token:

  • host:

    • Oracle Cloud, eg. Autonomous Database (ADB) or Data Warehouse (ADW): the connection string provided by Oracle Cloud, eg. (description= (retry_count=20)(retry_delay=3)(address=(protocol=tcps)(port=1522)(host=adb.<region>.oraclecloud.com))(connect_data=(service_name=<service name>.adb.oraclecloud.com))(security=(ssl_server_dn_match=yes)))

    • Other Oracle databases: the host of your Oracle database, eg. my-oracle-host.com:1521/database-sid

  • key: the username of the Oracle user. We advise to create a separate read-only technical user for connecting Luzmo to your Oracle databases.

  • token: the password of the Oracle user.

Notes :

  1. Make sure to whitelist Luzmo's range of IP addresses in your Oracle server if external connections are blocked as described here .

  2. Oracle Cloud, eg. Autonomous Database (ADB) or Data Warehouse (ADW): Set Mutual TLS (mTLS) authentication to Not Required , as Luzmo does not support mTLS connections at the moment.

  3. Oracle Cloud, eg. Autonomous Database (ADB) or Data Warehouse (ADW): Configure your warehouse to Access type: Allow secure access from specified IPs and VCNs .

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "properties": {
    "key": "username",
    "host": "host or connection string"
  },
  "id": "5c596f8e-236c-43f9-99c1-53d8d29178ca",
  "provider": "oracle",
  "date": "2024-08-14T12:34:41.308Z",
  "identifier": null,
  "expiry": null,
  "scope": null,
  "host": null,
  "name": "My Oracle connection",
  "description": null,
  "port": null,
  "active": true,
  "invalid": false,
  "cache": 0,
  "synced": false,
  "version": null,
  "datasets_meta_sync_interval": 1,
  "datasets_meta_sync_enabled": true,
  "created_at": "2024-08-14T12:34:41.309Z",
  "updated_at": "2024-08-14T12:34:41.317Z",
  "user_id": "abca9830-0dad-4b11-a6d4-23972c124020",
  "plugin_id": "870f121c-211b-4931-924d-c468c10afd72",
  "shareable_id": "a5a78631-8fa9-408f-965c-48822d8e8b54"
}